Page({

  /**
   * 页面的初始数据
   */
  data: {
    date: '',
    show: false,
    isDisplay:true,
  },
  //点击图标 日历显示
  onDisplay() {
    this.setData({
      show: true,
      isDisplay:!this.data.isDisplay
    });
  },
  //打开日期再次显示
  dateShow(){
    this.setData({
      show:true,
      isDisplay:false
    })
  },
  onClose() {
    this.setData({
      show: false,
      isDisplay:!this.data.isDisplay
    });
  },
  formatDate(date) {
    date = new Date(date);
    return `${date.getFullYear()}-${date.getMonth() + 1}-${date.getDate()}`;
  },
  onConfirm(event) {
    const [start, end] = event.detail;
    this.setData({
      show: false,
      date: `${this.formatDate(start)} 至 ${this.formatDate(end)}`,
    });
  },
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})